# CommandConfig (ACF (JDA) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, interface: CommandConfig

Package co.aikar.commands

# Interface CommandConfig

All Superinterfaces:
  `CommandConfigProvider`

All Known Implementing Classes:
  `JDACommandConfig`

public interface CommandConfig extends CommandConfigProvider

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<String>`
`getCommandPrefixes()`
`default CommandConfig`
`provide(net.dv8tion.jda.api.events.message.MessageReceivedEvent event)`

## Method Details

### getCommandPrefixes

@NotNull @NotNull List<String> getCommandPrefixes()

### provide

default CommandConfig provide (net.dv8tion.jda.api.events.message.MessageReceivedEvent event)

Specified by:
  `provide` in interface `CommandConfigProvider`